#pragma once

class CSendingDlg : public CDialog
{
public:
//Constructors / Destructors
  CSendingDlg(CWnd* pParent = nullptr);

//Methods
  void SetSafeToClose() noexcept { m_bSafeToClose = true; };
  _NODISCARD bool AbortFlag() const noexcept { return m_bAbort; };

//Member variables
  CProgressCtrl m_ctrlProgress;
  CEvent m_evtInitialized; //Set when we have been constructed and have a HWND

protected:
//Methods
  void DoDataExchange(CDataExchange* pDX) override;
  BOOL OnInitDialog() override;
  void OnCancel() override;

//Member variables
  enum { IDD = IDD_PROGRESS };
  bool m_bSafeToClose;
  bool m_bAbort;

  DECLARE_MESSAGE_MAP()
};
